import { Component, OnInit, ViewChild } from '@angular/core';
import { Observable, of } from 'rxjs';
import { Organisationseinheit } from '../../user/user.model';
import { UserService } from '../../user/user.service';
import { OrganisationseinheitFormComponent } from './organisationseinheit-form/organisationseinheit-form.component';

@Component({
  selector: 'admin-organisationseinheit-container',
  templateUrl: './organisationseinheit-container.component.html',
})
export class OrganisationseinheitContainerComponent implements OnInit {
  organisationseinheitItems$: Observable<Organisationseinheit[]>;
  deleteInProgress$: Observable<boolean> = of(false);

  @ViewChild(OrganisationseinheitFormComponent)
  private form!: OrganisationseinheitFormComponent;

  constructor(private userService: UserService) {}

  ngOnInit(): void {
    this.organisationseinheitItems$ = this.userService.getOrganisationseinheitItems();
  }

  public openDialogForNewGroup(): void {
    this.form.open();
  }

  public edit(organisationseinheit: Organisationseinheit): void {
    this.form.openEdit(organisationseinheit);
  }

  public delete(organisationseinheit: Organisationseinheit): void {
    this.deleteInProgress$ = this.userService.deleteOrganisationseinheit(organisationseinheit.id);
  }
}
