import { CommandOrder } from './command.model';

export enum CommandErrorMessage {
  CONCURRENT_MODIFICATION = 'concurrent_modification',
}

export const COMMAND_ERROR_MESSAGES: { [code: string]: string } = {
  [CommandErrorMessage.CONCURRENT_MODIFICATION]:
    'Der Vorgang wurde zwischenzeitlich verändert und wurde neu geladen.',
};

export const CREATE_COMMAND_MESSAGE_BY_ORDER: { [order: string]: string } = {
  [CommandOrder.VORGANG_ANNEHMEN]: 'Der Vorgang wurde angenommen.',
  [CommandOrder.VORGANG_BEARBEITEN]: 'Der Vorgang wurde in die Bearbeitung übernommen.',
  [CommandOrder.VORGANG_BESCHEIDEN]: 'Der Vorgang wurde beschieden.',
  [CommandOrder.VORGANG_ZURUECKHOLEN]: 'Der Vorgang wurde zurückgeholt.',
  [CommandOrder.VORGANG_ZURUECKSTELLEN]: 'Der Vorgang wurde zurückgestellt.',
  [CommandOrder.VORGANG_ABSCHLIESSEN]: 'Der Vorgang wurde abgeschlossen.',
  [CommandOrder.VORGANG_WIEDEREROEFFNEN]: 'Der Vorgang wurde wiedereröffnet.',
  [CommandOrder.VORGANG_VERWERFEN]: 'Der Vorgang wurde verworfen.',
  [CommandOrder.VORGANG_ZUM_LOESCHEN_MARKIEREN]:
    'Für den Vorgang wurde eine Löschanforderung gestellt.',
  [CommandOrder.VORGANG_LOESCHEN]: 'Der Vorgang wurde gelöscht.',
  [CommandOrder.LOESCH_ANFORDERUNG_ZURUECKNEHMEN]:
    'Für den Vorgang wurde die Löschanforderung zurückgenommen.',
  [CommandOrder.ASSIGN_USER]: 'Dem Vorgang wurde eine bearbeitende Person zugewiesen.',
  [CommandOrder.CREATE_BESCHEID]: 'Es wurde ein Bescheid erstellt.',
  [CommandOrder.PROCESS_VORGANG]: 'Vorgang vorprüfen erfolgreich.',
};

export const LOESCH_ANFORDERUNG_ZURUECKNEHMEN_CONCURRENT_TO_DELETE_VORGANG_MESSAGE: string =
  'Der Vorgang wurde zwischenzeitlich gelöscht.';
