import { TechSharedModule } from '@alfa-client/tech-shared';
import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { TextInputComponent } from '@ods/system';
import { FormControlEditorAbstractComponent } from '../formcontrol-editor.abstract.component';
import { ValidationErrorComponent } from '../validation-error/validation-error.component';

@Component({
  selector: 'ods-text-editor',
  standalone: true,
  imports: [
    CommonModule,
    ReactiveFormsModule,
    TechSharedModule,
    TextInputComponent,
    ValidationErrorComponent,
  ],
  templateUrl: './text-editor.component.html',
})
export class TextEditorComponent extends FormControlEditorAbstractComponent {
  @Input({ required: true }) label: string;
  @Input() autocomplete: 'off' | 'email' = 'off';
  @Input() placeholder: string = '';
  @Input() isRequired: boolean = false;
  @Input() focus: boolean = false;
  @Input() showLabel: boolean = true;

  get variant(): string {
    return this.invalidParams.length > 0 ? 'error' : 'default';
  }
}
