import type { Meta, StoryObj } from '@storybook/angular';

import { AttachmentIconComponent } from './attachment-icon.component';

const meta: Meta<AttachmentIconComponent> = {
  title: 'Icons/Attachment icon',
  component: AttachmentIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<AttachmentIconComponent>;

export const Default: Story = {
  args: { size: 'large' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'medium', 'large', 'extra-large', 'full'],
      description: 'Size of icon. Property "full" means 100%',
      table: {
        defaultValue: { summary: 'medium' },
      },
    },
  },
};
