import type { Meta, StoryObj } from '@storybook/angular';

import { BescheidUploadIconComponent } from './bescheid-upload-icon.component';

const meta: Meta<BescheidUploadIconComponent> = {
  title: 'Icons/Bescheid upload icon',
  component: BescheidUploadIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<BescheidUploadIconComponent>;

export const Default: Story = {
  args: { size: 'extra-large' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'medium', 'large', 'extra-large', 'full'],
      description: 'Size of icon. Property "full" means 100%',
      table: {
        defaultValue: { summary: 'extra-large' },
      },
    },
  },
};
