import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';
import { SearchResultHeaderComponent } from '../search-result-header/search-result-header.component';
import { SearchResultItemComponent } from '../search-result-item/search-result-item.component';
import { SearchResultLayerComponent } from './search-result-layer.component';

const meta: Meta<SearchResultLayerComponent> = {
  title: 'Instant search/Search result layer',
  component: SearchResultLayerComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      imports: [SearchResultItemComponent, SearchResultHeaderComponent],
    }),
  ],
};

export default meta;
type Story = StoryObj<SearchResultLayerComponent>;

export const Default: Story = {
  args: {},
  render: () => ({
    template: `<ods-search-result-layer>
      <ods-search-result-header text="In der OZG-Cloud" [count]="2" header />
      <ods-search-result-item text="Amt Rantznau - Ordnungsamt" subText="Rathausmarkt 7, Kronshagen" />
      <ods-search-result-item text="Amt Burg-St. Michaelisdonn - Der Amtsvorsteher" subText="Holzmarkt 7, 25712 Rantznau" />
    </ods-search-result-layer>`,
  }),
};
