import { faker } from '@faker-js/faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { times } from 'lodash-es';
import { HintListLinkRel } from '../src/lib/hint.linkrel';
import { Hint, HintListResource, HintResource } from '../src/lib/hint.model';

export function createHint(): Hint {
  return { code: faker.random.alphaNumeric() };
}

export function createHintResource(linkRelations: string[] = []): HintResource {
  return toResource(createHint(), linkRelations);
}

export function createHintResources(linkRelations: string[] = []): HintResource[] {
  return times(10, () => toResource(createHintResource(), [...linkRelations]));
}

export function createHintListResource(linkRelations: string[] = []): HintListResource {
  return toResource({}, [...linkRelations], {
    [HintListLinkRel.HINT_LIST]: createHintResources([...linkRelations]),
  });
}

export function createHintListResourceWithResource(
  resources: HintResource[],
  linkRelations: string[] = [],
): HintListResource {
  return toResource({}, [...linkRelations], {
    [HintListLinkRel.HINT_LIST]: resources,
  });
}
