import { Component, Input } from '@angular/core';
import { CommandResource } from '@alfa-client/command-shared';
import {
  LoeschAnforderungLinkRel,
  LoeschAnforderungResource,
  LoeschAnforderungService,
} from '@alfa-client/loesch-anforderung-shared';
import { StateResource, createEmptyStateResource } from '@alfa-client/tech-shared';
import { Observable, of } from 'rxjs';

@Component({
  selector: 'alfa-loesch-anforderung-zuruecknehmen-button-container',
  templateUrl: './loesch-anforderung-zuruecknehmen-button-container.component.html',
  styleUrls: ['./loesch-anforderung-zuruecknehmen-button-container.component.scss'],
})
export class LoeschAnforderungZuruecknehmenButtonContainerComponent {
  @Input() showAsIconButton: boolean = false;

  loeschAnforderungStateResource$: Observable<StateResource<LoeschAnforderungResource>>;
  loeschAnforderungZuruecknehmenCommand$: Observable<StateResource<CommandResource>> = of(
    createEmptyStateResource<CommandResource>(),
  );

  readonly loeschAnforderungLinkRel = LoeschAnforderungLinkRel;

  constructor(private loeschAnforderungService: LoeschAnforderungService) {}

  ngOnInit(): void {
    this.loeschAnforderungZuruecknehmenCommand$ =
      this.loeschAnforderungService.getLoschAnforderungZuruecknehmenCommand();
    this.loeschAnforderungStateResource$ = this.loeschAnforderungService.getLoeschAnforderung();
  }

  public loeschAnforderungZuruecknehmen(
    loeschAnforderungResource: StateResource<LoeschAnforderungResource>,
  ): void {
    this.loeschAnforderungService.zuruecknehmen(loeschAnforderungResource.resource);
  }
}
