import {
  FORBIDDEN_REPLY_OPTION_ITEM,
  POSSIBLE_REPLY_OPTION_ITEM,
  PostfachFeatures,
  PostfachService,
} from '@alfa-client/postfach-shared';
import { FormProvider } from '@alfa-client/tech-shared';
import { CheckboxEnumEditorItem } from '@alfa-client/ui';
import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { PostfachMailFormservice } from '../postfach-mail.formservice';

@Component({
  selector: 'alfa-postfach-nachricht-reply-editor-container',
  templateUrl: './postfach-nachricht-reply-editor-container.component.html',
  styleUrls: ['./postfach-nachricht-reply-editor-container.component.scss'],
  viewProviders: [FormProvider],
})
export class PostfachNachrichtReplyEditorContainerComponent implements OnInit {
  public readonly formServiceClass = PostfachMailFormservice;

  public postfachFeatures$: Observable<PostfachFeatures>;

  public checkedItem: CheckboxEnumEditorItem = POSSIBLE_REPLY_OPTION_ITEM;
  public uncheckedItem: CheckboxEnumEditorItem = FORBIDDEN_REPLY_OPTION_ITEM;

  constructor(private postfachService: PostfachService) {}

  ngOnInit(): void {
    this.postfachFeatures$ = this.postfachService.getFeatures();
  }
}
