/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { EnumToLabelPipe } from './enum-to-label.pipe';

describe('EnumToLabelPipe', () => {
  const pipe = new EnumToLabelPipe();

  it('create an instance', () => {
    expect(pipe).toBeTruthy();
  });

  describe('transform enum to label', () => {
    it('output as expected', () => {
      const enumValue = DummyStatus.TEST;
      const enumValueLabel: string = DummyStatusLabel[enumValue];

      const result = pipe.transform(enumValue, DummyStatusLabel);

      expect(result).toBe(enumValueLabel);
    });

    it('enumValue is null', () => {
      const result = pipe.transform(null, DummyStatusLabel);

      expect(result).toBe(null);
    });

    it('enumLabel is null', () => {
      const enumValue = DummyStatus.TEST;

      const result = pipe.transform(enumValue, null);

      expect(result).toBe(null);
    });
  });
});

export enum DummyStatus {
  TEST,
}

export enum DummyStatusLabel {
  TEST = 'test',
}
