package de.ozgcloud.alfa.collaboration;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.server.RepresentationModelAssembler;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.ModelBuilder;

@Component
class OrganisationsEinheitModelAssembler implements RepresentationModelAssembler<OrganisationsEinheit, EntityModel<OrganisationsEinheit>> {

	@Override
	public EntityModel<OrganisationsEinheit> toModel(OrganisationsEinheit entity) {
		return ModelBuilder.fromEntity(entity)
				.addLink(linkTo(OrganisationsEinheitController.class).slash(entity.getId()).withSelfRel())
				.buildModel();
	}
}
