package de.ozgcloud.alfa.common.binaryfile;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.*;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import de.ozgcloud.alfa.common.ValidationMessageCodes;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

@Constraint(validatedBy = { UploadBinaryFileContentTypeValidator.class })
@Target({ TYPE })
@Retention(RUNTIME)
@Documented
public @interface BinaryFileContentTypeConstraint {

	String message() default ValidationMessageCodes.FIELD_FILE_CONTENT_TYPE_INVALID;

	Class<?>[] groups() default {};

	Class<? extends Payload>[] payload() default {};
}
