/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import java.time.LocalDate;
import java.time.ZonedDateTime;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;

import de.ozgcloud.alfa.common.LinkedUserProfileResource;
import de.ozgcloud.alfa.common.user.UserId;
import lombok.Builder;
import lombok.Getter;
import lombok.With;

@Getter
@Builder
class VorgangHeader implements Vorgang {

	@JsonIgnore
	private String id;
	@JsonIgnore
	private long version;

	@LinkedUserProfileResource
	private UserId assignedTo;

	private String name;
	private VorgangStatus status;
	private ZonedDateTime createdAt;
	private String aktenzeichen;
	private String nummer;

	@With
	@JsonProperty(access = Access.READ_ONLY)
	private LocalDate nextFrist;

	private boolean hasPostfachNachricht;

	private boolean hasNewPostfachNachricht;

	private Boolean antragBewilligt;
}
