/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import java.time.ZonedDateTime;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.vorgang.GrpcEingangHeader;

public class GrpcEingangHeaderTestFactory {

	public final static String REQUEST_ID = UUID.randomUUID().toString();
	private final static String CREATED_AT_STR = "2021-01-10T10:30:00Z";
	public final static ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);
	private final static String FORM_ID = UUID.randomUUID().toString();
	public final static String FORM_NAME = LoremIpsum.getInstance().getWords(1);
	private final static String SENDER = LoremIpsum.getInstance().getName();
	private final static String CUSTOMER = LoremIpsum.getInstance().getName();
	private final static String CUSTOMER_ID = UUID.randomUUID().toString();
	private final static String CLIENT = LoremIpsum.getInstance().getName();
	private final static String CLIENT_ID = UUID.randomUUID().toString();
	public final static String FORM_ENGINE_NAME = "AFM";

	public static GrpcEingangHeader create() {
		return createBuilder().build();
	}

	public static GrpcEingangHeader.Builder createBuilder() {
		return GrpcEingangHeader.newBuilder()
				.setRequestId(REQUEST_ID)
				.setCreatedAt(CREATED_AT_STR)
				.setFormId(FORM_ID)
				.setFormName(FORM_NAME)
				.setSender(SENDER)
				.setCustomer(CUSTOMER)
				.setCustomerId(CUSTOMER_ID)
				.setClient(CLIENT)
				.setClientId(CLIENT_ID)
				.setFormEngineName(FORM_ENGINE_NAME);
	}
}