package de.ozgcloud.alfa.bescheid;

import java.util.List;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.ozgcloud.alfa.common.file.OzgFileTestFactory;
import de.ozgcloud.alfa.vorgang.ZustaendigeStelleTestFactory;

public class BescheidExportInputTestFactory {

	public final static Bescheid BESCHEID = BescheidTestFactory.create();
	public final static String ORGANISATIONSEINHEITEN_ID = ZustaendigeStelleTestFactory.ORGANISATIONSEINHEITEN_ID;
	public final static List<OzgFile> FILES = List.of(OzgFileTestFactory.createWithUniqueId());

	public static BescheidExportInput create() {
		return createBuilder().build();
	}

	public static BescheidExportInput.BescheidExportInputBuilder createBuilder() {
		return BescheidExportInput.builder()
				.bescheid(BESCHEID)
				.organisationseinheitenId(ORGANISATIONSEINHEITEN_ID)
				.files(FILES);
	}

}
